Bug 979480 - [abrt] ekiga-4.0.1-1.fc19: on_clicked: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV)
[abrt] ekiga-4.0.1-1.fc19: on_clicked: Process /usr/bin/ekiga was killed by s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:5f467ad75a26dccd8cc4b858f2d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 12:02 EDT by Joshua Allen Holm
Modified: 2015-12-02 11:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.72 KB, text/plain)
2013-06-28 12:02 EDT, Joshua Allen Holm
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details
File: core_backtrace (1.89 KB, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details
File: dso_list (22.44 KB, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details
File: environ (1.55 KB, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details
File: gconf_subtree (4.53 KB, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details
File: maps (113.49 KB, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details
File: open_fds (1.82 KB, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details
File: var_log_messages (379 bytes, text/plain)
2013-06-28 12:03 EDT, Joshua Allen Holm
no flags Details

  None (edit)
Description Joshua Allen Holm 2013-06-28 12:02:55 EDT
Description of problem:
Right clicking on the "view the call history" list more than once will cause the application to crash if the history has already been cleared by the user. If the "clear list"  option is selected from the right click menu, it doesn't actually clear the list until the program is restarted. Right clicking on the list a second time, which should not be possible because the list should actually be empty, causes the application to crash.

To reproduce:

1) Make a call so there is something in the call history.
2) Go to the call history using the view menu or "view the call history" button on the toolbar
3) Right click on the call history list and select "clear list", the list will not actually clear
4) Right click on the call history again and ekiga crashes

Version-Release number of selected component:
ekiga-4.0.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        ekiga
crash_function: on_clicked
executable:     /usr/bin/ekiga
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 on_clicked at ../lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:185
 #1 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1160
 #2 _g_closure_invoke_va at gclosure.c:840
 #5 gtk_widget_event_internal at gtkwidget.c:5020
 #6 gtk_widget_event at gtkwidget.c:4814
 #7 gtk_propagate_event at gtkmain.c:2490
 #8 gtk_main_do_event at gtkmain.c:1685
 #14 gtk_main at gtkmain.c:1257

Potential duplicate: bug 893161
Comment 1 Joshua Allen Holm 2013-06-28 12:02:59 EDT
Created attachment 766638 [details]
File: backtrace
Comment 2 Joshua Allen Holm 2013-06-28 12:03:06 EDT
Created attachment 766639 [details]
File: cgroup
Comment 3 Joshua Allen Holm 2013-06-28 12:03:10 EDT
Created attachment 766640 [details]
File: core_backtrace
Comment 4 Joshua Allen Holm 2013-06-28 12:03:13 EDT
Created attachment 766641 [details]
File: dso_list
Comment 5 Joshua Allen Holm 2013-06-28 12:03:16 EDT
Created attachment 766642 [details]
File: environ
Comment 6 Joshua Allen Holm 2013-06-28 12:03:18 EDT
Created attachment 766643 [details]
File: gconf_subtree
Comment 7 Joshua Allen Holm 2013-06-28 12:03:21 EDT
Created attachment 766644 [details]
File: limits
Comment 8 Joshua Allen Holm 2013-06-28 12:03:24 EDT
Created attachment 766645 [details]
File: maps
Comment 9 Joshua Allen Holm 2013-06-28 12:03:27 EDT
Created attachment 766646 [details]
File: open_fds
Comment 10 Joshua Allen Holm 2013-06-28 12:03:30 EDT
Created attachment 766647 [details]
File: proc_pid_status
Comment 11 Joshua Allen Holm 2013-06-28 12:03:32 EDT
Created attachment 766648 [details]
File: var_log_messages
Comment 12 Eugen Dedu 2013-09-16 06:30:12 EDT
Thank you for reporting this bug.  It is fixed with https://git.gnome.org/browse/ekiga/commit/?id=80d8964b.  Unfortunately, I missed to include it in 4.0.1 release, but it will be in the following release.
Comment 13 Fedora End Of Life 2015-01-09 13:34:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-11-04 09:04:45 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-12-01 21:48:54 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.